// VidCapPlusView.h : interface of the CVidCapPlusView class
//
/////////////////////////////////////////////////////////////////////////////
#include "CaptureWnd.h"

class CVidCapPlusView : public CScrollView
{
protected: // create from serialization only
	CVidCapPlusView();
	DECLARE_DYNCREATE(CVidCapPlusView)

// Attributes
public:
	CVidCapPlusDoc* GetDocument();
     
// Operations
public:
	CCaptureWnd CapWnd;
	BOOL bCreated;
	BYTE bPreview,bOverlay;
	void ResizeView();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVidCapPlusView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVidCapPlusView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVidCapPlusView)
	afx_msg void OnOptionsAudioformat();
	afx_msg void OnOptionsVideoFormat();
	afx_msg void OnOptionsVideoSource();
	afx_msg void OnOptionsVideoDisplay();
	afx_msg void OnOptionsVideoCompression();
	afx_msg void OnOptionsPreview();
	afx_msg void OnOptionsOverlay();
	afx_msg void OnUpdateOptionsAudioformat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsVideoFormat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsVideoSource(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsVideoDisplay(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsVideoCompression(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsPreview(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsOverlay(CCmdUI* pCmdUI);
	afx_msg void OnPaint();
	afx_msg void OnEditCopy();
	afx_msg void OnCaptureSingleframe();
	afx_msg void OnCaptureVideo();
	afx_msg void OnCapturePalette();
	afx_msg void OnFileSetcapturefile();
	afx_msg void OnFileSavesingleframe();
	afx_msg void OnUpdateCaptureSingleframe(CCmdUI* pCmdUI);
	afx_msg void OnEditPastepallete();
	afx_msg void OnUpdateEditPastepallete(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in VidCapPlusView.cpp
inline CVidCapPlusDoc* CVidCapPlusView::GetDocument()
   { return (CVidCapPlusDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
